LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-16-2004, 09:52 AM   #1
ducvanduong
LQ Newbie
 
Registered: Mar 2004
Location: Norway
Distribution: RH9.0
Posts: 2

Rep: Reputation: 0
KDE upgrade on RH9.0. Help!!!!


Hello,

I am runing RH9 and trying to upgrade to kde 3.2. To do this I logged out of X-server and ran in text modus. The commando I used was (as root): rpm -Uvh * at the directory where I have all the kde rpm packages, but I got this mgs:

error: open of 899a51d573935a0c06d728f03705a813 failed: No such file or directory
warning: package arts = 8:1.2.0-0.1 was already added, replacing with arts <= 8:1.2.0-0.1
error: open of 13552b22842b05c184f7feec17f70d18 failed: No such file or directory
warning: package arts-devel = 8:1.2.0-0.1 was already added, replacing with arts-devel <= 8:1.2.0-0.1
error: open of 506add195ea2ae7b4e52e06872fd856a failed: No such file or directory
warning: package kdeaccessibility = 1:3.2.0-0.1 was already added, replacing with kdeaccessibility <= 1:3.2.0-0.1
error: open of ca43d99a4b49a436ac83f837ea6a1dfd failed: No such file or directory
warning: package kdeaddons = 3.2.0-0.1 was already added, replacing with kdeaddons <= 3.2.0-0.1
error: open of 80ed74633eca61ab6e0fe6dfb345455d failed: No such file or directory
warning: package kdeaddons-atlantikdesigner = 3.2.0-0.1 was already added, replacing with kdeaddons-atlantikdesigner <= 3.2.0-0.1
error: open of c1dd4a91509eebd1c66bad568ec43177 failed: No such file or directory
warning: package kdeadmin = 7:3.2.0-0.1 was already added, replacing with kdeadmin <= 7:3.2.0-0.1
error: open of 9d228e3b1674372c5eb5b916cc1d4931 failed: No such file or directory
warning: package kdeartwork = 3.2.0-0.1 was already added, replacing with kdeartwork <= 3.2.0-0.1
error: open of 3380e06ddf558a250fba7d67aa7d8d96 failed: No such file or directory
warning: package kdeartwork-icons = 3.2.0-0.1 was already added, replacing with kdeartwork-icons <= 3.2.0-0.1
error: open of 8db1ae66258df65c77fe4fb56afd7e07 failed: No such file or directory
warning: package kdebase = 6:3.2.0-0.1 was already added, replacing with kdebase <= 6:3.2.0-0.1
error: open of 099907016463c3b94a6be57e585956ce failed: No such file or directory
warning: package kdebase-devel = 6:3.2.0-0.1 was already added, replacing with kdebase-devel <= 6:3.2.0-0.1
error: open of 0b7e151084d380b27d03ce9324e97c72 failed: No such file or directory
warning: package kdebindings = 3.2.0-0.1 was already added, replacing with kdebindings <= 3.2.0-0.1
error: open of 92b1ae68afc46e7fdd810a0cfb53abff failed: No such file or directory
warning: package kdebindings-devel = 3.2.0-0.1 was already added, replacing with kdebindings-devel <= 3.2.0-0.1
error: open of 484150e4f8808dfd3c78092a7bbe8515 failed: No such file or directory
warning: package kdeedu = 3.2.0-0.1 was already added, replacing with kdeedu <= 3.2.0-0.1
error: open of 8778926d4fe74476186121edcd1dbea5 failed: No such file or directory
warning: package kdeedu-devel = 3.2.0-0.1 was already added, replacing with kdeedu-devel <= 3.2.0-0.1
error: open of 12366639ffb1571d4dc091d273aeb6c1 failed: No such file or directory
warning: package kdegames = 6:3.2.0-0.1 was already added, replacing with kdegames <= 6:3.2.0-0.1
error: open of 0563db9fd586143599e57aa27b184c97 failed: No such file or directory
warning: package kdegames-devel = 6:3.2.0-0.1 was already added, replacing with kdegames-devel <= 6:3.2.0-0.1
error: open of d83e2259ae3ff9b22fae86e8b5039185 failed: No such file or directory
warning: package kdegraphics = 7:3.2.0-0.1 was already added, replacing with kdegraphics <= 7:3.2.0-0.1
error: open of b43fb8e72be51d5b87c4cecedda7f2ad failed: No such file or directory
warning: package kdegraphics-devel = 7:3.2.0-0.1 was already added, replacing with kdegraphics-devel <= 7:3.2.0-0.1
error: open of 9d5e20bffc7878eafc3df62e166e51ab failed: No such file or directory
warning: package kdelibs = 6:3.2.0-0.1 was already added, replacing with kdelibs <= 6:3.2.0-0.1
error: open of 830e49be77da5821e048aa5384cd3728 failed: No such file or directory
warning: package kdelibs-devel = 6:3.2.0-0.1 was already added, replacing with kdelibs-devel <= 6:3.2.0-0.1
error: open of 7467ba23f348fd734fefbf2864468fb1 failed: No such file or directory
warning: package kdemultimedia = 6:3.2.0-0.1 was already added, replacing with kdemultimedia <= 6:3.2.0-0.1
error: open of 1feb4d6eb65caf361bcc8e108f3a19df failed: No such file or directory
warning: package kdemultimedia-devel = 6:3.2.0-0.1 was already added, replacing with kdemultimedia-devel <= 6:3.2.0-0.1
error: open of 96677d773706f649f8f11cacd71e6209 failed: No such file or directory
warning: package kdenetwork = 7:3.2.0-0.1 was already added, replacing with kdenetwork <= 7:3.2.0-0.1
error: open of 37a56fb5b169c994c7f08ae15fda2e30 failed: No such file or directory
warning: package kdenetwork-devel = 7:3.2.0-0.1 was already added, replacing with kdenetwork-devel <= 7:3.2.0-0.1
error: open of 986fa3ed5a20086d5330e038a08d983c failed: No such file or directory
warning: package kdepim = 6:3.2.0-0.1 was already added, replacing with kdepim <= 6:3.2.0-0.1
error: open of 43971e46eb1649f1ab24a663e000a953 failed: No such file or directory
warning: package kdepim-devel = 6:3.2.0-0.1 was already added, replacing with kdepim-devel <= 6:3.2.0-0.1
error: open of de46bbdc2c1a13386faa8e0039d630e1 failed: No such file or directory
warning: package kdesdk = 3.2.0-0.1 was already added, replacing with kdesdk <= 3.2.0-0.1
error: open of 473404d265d09457342fd7959a8f23ca failed: No such file or directory
warning: package kdesdk-devel = 3.2.0-0.1 was already added, replacing with kdesdk-devel <= 3.2.0-0.1
error: open of 9027151fa654a212bd65588ff6806ebb failed: No such file or directory
warning: package kdetoys = 7:3.2.0-0.1 was already added, replacing with kdetoys <= 7:3.2.0-0.1
error: open of 3a1627375cb0f72afee19d50cceb26b7 failed: No such file or directory
warning: package kdeutils = 6:3.2.0-0.1 was already added, replacing with kdeutils <= 6:3.2.0-0.1
error: open of e8729f5bd111cb08738b3574747eafd6 failed: No such file or directory
warning: package kdeutils-devel = 6:3.2.0-0.1 was already added, replacing with kdeutils-devel <= 6:3.2.0-0.1
error: open of 19d12e5886474e44dc745457ec0ac6d6 failed: No such file or directory
warning: package kdevelop = 9:3.0.0-0.1 was already added, replacing with kdevelop <= 9:3.0.0-0.1
error: open of 0912473ccf82454efc42605008ad5798 failed: No such file or directory
warning: package quanta = 6:3.2.0-0.1 was already added, replacing with quanta <= 6:3.2.0-0.1
error: open of 2d9eee97cf9ba906c0b4cdfcf004f39e failed: No such file or directory
warning: package quanta-devel = 6:3.2.0-0.1 was already added, replacing with quanta-devel <= 6:3.2.0-0.1
error: open of 7ef7b173cf596e8e814250e541d88df4 failed: No such file or directory
warning: package qt = 1:3.2.3-0.2 was already added, replacing with qt <= 1:3.2.3-0.2
error: open of a996106c4c6ba7f3155f0a44914a7e55 failed: No such file or directory
warning: package qt-MySQL = 1:3.2.3-0.2 was already added, replacing with qt-MySQL <= 1:3.2.3-0.2
error: open of c43cd746189811f74bbc171c6aa8fc26 failed: No such file or directory
warning: package qt-ODBC = 1:3.2.3-0.2 was already added, replacing with qt-ODBC <= 1:3.2.3-0.2
error: open of ea9fe104d707ac6ce01df80f8386f3dd failed: No such file or directory
warning: package qt-PostgreSQL = 1:3.2.3-0.2 was already added, replacing with qt-PostgreSQL <= 1:3.2.3-0.2
error: open of 48072c734c03e159cb0d3a140070e775 failed: No such file or directory
warning: package qt-designer = 1:3.2.3-0.2 was already added, replacing with qt-designer <= 1:3.2.3-0.2
error: open of f32ebf8aae05652be64acaf810407141 failed: No such file or directory
warning: package qt-devel = 1:3.2.3-0.2 was already added, replacing with qt-devel <= 1:3.2.3-0.2
error: open of 54369ba8078a7cb92496712ff1851ffc failed: No such file or directory
warning: package redhat-artwork = 0.90-0.1 was already added, replacing with redhat-artwork <= 0.90-0.1
Segmentation fault

Can anyone help me to get through this? Thanx

-Duc
 
Old 03-16-2004, 10:26 AM   #2
chem1
Member
 
Registered: Jun 2002
Location: White House, Washignton DC
Distribution: Red Hat 9
Posts: 270

Rep: Reputation: 30
DO not do the rpm -Uvh *

Quote:
arts and then kdelibs should be installed before everything else, and kdeaddons last. The other packages can be installed in any arbitrary order.
This is what the KDe site says at http://www.kde.org/documentation/faq/install.html

Hope this helps...
 
Old 03-16-2004, 10:35 AM   #3
ducvanduong
LQ Newbie
 
Registered: Mar 2004
Location: Norway
Distribution: RH9.0
Posts: 2

Original Poster
Rep: Reputation: 0
It's a kind of ring dependency so I cannot install arts and kdelibs by rpm -Uvh arts-* kdelibs-*

-Duc
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
upgrade RH8 to RH9 - upgrade or clean install PAB Linux - General 0 03-13-2004 03:55 PM
upgrade to rh9 killed kde wx_jason Red Hat 0 02-08-2004 02:25 PM
Error trying to dist-upgrade or upgrade KDE prophet621 Linux - Newbie 0 09-10-2003 04:17 PM
RH9 Upgrade=KDE starting problems SenorPedo Linux - Software 12 08-26-2003 12:15 PM
RH9 upgrade Greg21 Linux - General 2 06-03-2003 11:01 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:04 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration